com.mapinfo.midev.style

## Interface IAreaStyle

All Superinterfaces:
  ICopiable, IStyle, Serializable

    public interface IAreaStyle
    extends IStyle

An area style typically used for rendering regions contains a border and an interior. Either one or both may be set to NONE or be null. When set to NONE the border or the interior will not be rendered. When set to null the settings will be inherited from other area styles in the renderer.

See Also:
  `ILineStyle`, `IInterior`

### Field Summary

Fields
`static IAreaStyle` `NONE` This constant is used to suppress previous area styles in the renderer.

### Method Summary

All Methods Instance Methods Abstract Methods
`ILineStyle` `getBorder()` Returns the `ILineStyle` for decorating the border.
`IAreaStyle` `getCopy()` Returns a 'deep', stand-alone copy of this `IStyle`.
`IInterior` `getInterior()` Returns the `IInterior` for decorating the interior of the region.
`void` `setBorder(ILineStyle border)` Sets a `ILineStyle` for decorating the border.
`void` `setInterior(IInterior interior)` Sets the `IInterior` style for decorating the interior of the region.

### Field Detail

#### NONE

    static final IAreaStyle NONE

This constant is used to suppress previous area styles in the renderer. All methods throw `UnsupportedOperationException`.

### Method Detail

#### getBorder

    ILineStyle getBorder()

Returns the `ILineStyle` for decorating the border. May be null or `IAreaStyle.NONE`.

Returns:
  the `ILineStyle` for decorating the border. May be null or `IAreaStyle.NONE`.

#### setBorder

    void setBorder(ILineStyle border)

Sets a `ILineStyle` for decorating the border. May be null or `IAreaStyle.NONE`.

Parameters:
  `border` - the border of the area style.

#### getInterior

    IInterior getInterior()

Returns the `IInterior` for decorating the interior of the region. May be null or `IAreaStyle.NONE`.

Returns:
  the `IInterior` for decorating the interior of the region. May be null or `IAreaStyle.NONE`.

#### setInterior

    void setInterior(IInterior interior)

Sets the `IInterior` style for decorating the interior of the region. May be null or `IAreaStyle.NONE`.

Parameters:
  `interior` - the interior of the area style.

#### getCopy

    IAreaStyle getCopy()

Description copied from interface: `IStyle`
Returns a 'deep', stand-alone copy of this `IStyle`. Changes to the returned `IStyle` will have no effect on this `IStyle` and vise-versa.

Specified by:
  `getCopy` in interface `ICopiable`
Specified by:
  `getCopy` in interface `IStyle`
Returns:
  a 'deep', stand-alone copy of this `IStyle`.